#### Previous topic

scipy.interpolate.interp2d

#### Next topic

scipy.interpolate.interpn

# scipy.interpolate.interp2d.__call__

`interp2d.``__call__`(x, y, dx=0, dy=0, assume_sorted=False)

  Interpolate the function.

  Parameters:

  x : 1D array

  > x-coordinates of the mesh on which to interpolate.

  y : 1D array

  > y-coordinates of the mesh on which to interpolate.

  dx : int >= 0, < kx

  > Order of partial derivatives in x.

  dy : int >= 0, < ky

  > Order of partial derivatives in y.

  assume_sorted : bool, optional

  > If False, values of x and y can be in any order and they are sorted first. If True, x and y have to be arrays of monotonically increasing values.

  Returns:

  z : 2D array with shape (len(y), len(x))

  > The interpolated values.